Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(73)

Issue 29562599: Issue 5751 - Removing legacy gecko support (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by tlucas
Modified:
2 years, 4 months ago
CC:
kzar, Wladimir Palant
Visibility:
Public.

Description

Issue 5751 - Removing legacy gecko support

Patch Set 1 #

Total comments: 11

Patch Set 2 : Rebasing agains 5763, purging .properties code, addressing comments #

Total comments: 16

Patch Set 3 : Rebasing, addressing comments #

Total comments: 3

Patch Set 4 : Rebasing against #5763 @ Patch Set 7 #

Patch Set 5 : Tidy tox.ini, further simplify import_locales #

Total comments: 10

Patch Set 6 : Removed "="-parsing in import_locales, addressed comments #

Patch Set 7 : Rebase against current master ( 489:293593da6033 ) #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+39 lines, -1905 lines) Patch
D LocaleTester.pm View 1 1 chunk +0 lines, -320 lines 0 comments Download
M build.py View 1 2 3 4 5 6 10 chunks +9 lines, -102 lines 2 comments Download
D lib/hooks.js View 1 chunk +0 lines, -73 lines 0 comments Download
D lib/keySelector.js View 1 chunk +0 lines, -227 lines 0 comments Download
D lib/prefs.js View 1 chunk +0 lines, -197 lines 0 comments Download
D lib/windowObserver.js View 1 chunk +0 lines, -99 lines 0 comments Download
M localeTools.py View 1 2 3 7 chunks +11 lines, -168 lines 0 comments Download
M packager.py View 1 2 1 chunk +1 line, -1 line 0 comments Download
M packagerChrome.py View 1 2 3 4 5 1 chunk +9 lines, -52 lines 0 comments Download
D packagerGecko.py View 1 chunk +0 lines, -340 lines 0 comments Download
M releaseAutomation.py View 1 2 3 chunks +6 lines, -17 lines 0 comments Download
D templates/bootstrap.js.tmpl View 1 chunk +0 lines, -196 lines 0 comments Download
D templates/install.rdf.tmpl View 1 chunk +0 lines, -109 lines 0 comments Download
M tox.ini View 1 2 3 4 5 6 1 chunk +3 lines, -4 lines 0 comments Download

Messages

Total messages: 17
tlucas
Patch Set 1 * Removing gecko build targets * Removing support for gecko-style translations Please ...
2 years, 4 months ago (2017-10-02 10:38:57 UTC) #1
tlucas
Adding Wladimir to CC.
2 years, 4 months ago (2017-10-02 10:43:32 UTC) #2
Sebastian Noack
LocaleTester.pm can also go away. It is only useful to check legacy Gecko translation files. ...
2 years, 4 months ago (2017-10-03 02:22:40 UTC) #3
Sebastian Noack
https://codereview.adblockplus.org/29562599/diff/29562600/build.py File build.py (left): https://codereview.adblockplus.org/29562599/diff/29562600/build.py#oldcode262 build.py:262: 'name_format': 'ISO-15897', On 2017/10/03 02:22:39, Sebastian Noack wrote: > ...
2 years, 4 months ago (2017-10-04 01:39:33 UTC) #4
tlucas
Patch Set 2 * Rebasing against #5763 * Removing .properties files related code * Removing ...
2 years, 4 months ago (2017-10-04 11:48:41 UTC) #5
Sebastian Noack
https://codereview.adblockplus.org/29562599/diff/29564580/packager.py File packager.py (right): https://codereview.adblockplus.org/29562599/diff/29564580/packager.py#newcode6 packager.py:6: # packagers are implemented in packagerEdge and packagerChrome. Nit: ...
2 years, 4 months ago (2017-10-04 22:22:18 UTC) #6
Sebastian Noack
https://codereview.adblockplus.org/29562599/diff/29564580/build.py File build.py (right): https://codereview.adblockplus.org/29562599/diff/29564580/build.py#newcode222 build.py:222: if type in {'chrome', 'gecko-webext'}: I think we can ...
2 years, 4 months ago (2017-10-04 22:33:00 UTC) #7
tlucas
Patch set 3 * Rebasing against https://codereview.adblockplus.org/29561557/ @ Patch Set 5 * Reading extension Name ...
2 years, 4 months ago (2017-10-05 10:10:31 UTC) #8
Vasily Kuznetsov
Hi Tristan, Another annoying nit about strings vs. tuples from me. Cheers, Vasily https://codereview.adblockplus.org/29562599/diff/29565645/build.py File ...
2 years, 4 months ago (2017-10-05 20:58:12 UTC) #9
tlucas
Patch Set 5 * Fixed string / tuple mix-up * Cleaned up tox.ini * Removed ...
2 years, 4 months ago (2017-10-06 09:06:50 UTC) #10
Sebastian Noack
https://codereview.adblockplus.org/29562599/diff/29567598/packagerChrome.py File packagerChrome.py (left): https://codereview.adblockplus.org/29562599/diff/29567598/packagerChrome.py#oldcode252 packagerChrome.py:252: noMangling = True Since you are unsupporting the mangle ...
2 years, 4 months ago (2017-10-06 19:13:29 UTC) #11
tlucas
Patch Set 6 * Removed unrelated changes in tox.ini * Removed some wildcard import functionality ...
2 years, 4 months ago (2017-10-09 23:18:09 UTC) #12
Sebastian Noack
LGTM https://codereview.adblockplus.org/29562599/diff/29567598/packagerChrome.py File packagerChrome.py (left): https://codereview.adblockplus.org/29562599/diff/29567598/packagerChrome.py#oldcode252 packagerChrome.py:252: noMangling = True On 2017/10/09 23:18:07, tlucas wrote: ...
2 years, 4 months ago (2017-10-10 04:51:41 UTC) #13
tlucas
On 2017/10/10 04:51:41, Sebastian Noack wrote: > LGTM > > https://codereview.adblockplus.org/29562599/diff/29567598/packagerChrome.py > File packagerChrome.py (left): ...
2 years, 4 months ago (2017-10-10 08:47:24 UTC) #14
Vasily Kuznetsov
LGTM https://codereview.adblockplus.org/29562599/diff/29572582/build.py File build.py (right): https://codereview.adblockplus.org/29562599/diff/29572582/build.py#newcode221 build.py:221: if type != 'generic': We could swap the ...
2 years, 4 months ago (2017-10-10 12:44:33 UTC) #15
tlucas
https://codereview.adblockplus.org/29562599/diff/29572582/build.py File build.py (right): https://codereview.adblockplus.org/29562599/diff/29572582/build.py#newcode221 build.py:221: if type != 'generic': On 2017/10/10 12:44:33, Vasily Kuznetsov ...
2 years, 4 months ago (2017-10-10 12:50:13 UTC) #16
Vasily Kuznetsov
2 years, 4 months ago (2017-10-10 13:02:52 UTC) #17
Message was sent while issue was closed.
On 2017/10/10 12:50:13, tlucas wrote:
> https://codereview.adblockplus.org/29562599/diff/29572582/build.py
> File build.py (right):
> 
> https://codereview.adblockplus.org/29562599/diff/29572582/build.py#newcode221
> build.py:221: if type != 'generic':
> On 2017/10/10 12:44:33, Vasily Kuznetsov wrote:
> > We could swap the branches of this if statement to get a more natural
looking:
> > 
> >     if type == 'generic':
> >         ...
> >     else:
> >         ...
> 
> Well, imho the "not generic" platforms are those most interesting to us - so
the
> order is quite natural i'd say ;)

Ok, if this makes more sense to you, you're probably right.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5